Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.form
Class OdfPropertyElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.form.OdfPropertyElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfProperty

    public abstract class OdfPropertyElement

extends OdfElement

DOM implementation of OpenDocument element form:property.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfPropertyElement(OdfFileDom aOwnerDoc)` Create the instance of OdfPropertyElement

Method Summary
`OdfBoolean` | `getBooleanValue()` Get value of attribute office:boolean-value.
`String` | `getCurrency()` Get value of attribute office:currency.
`OdfDate` | `getDateValue()` Get value of attribute office:date-value.
`OdfName` | `getOdfName()` Get the element name
`String` | `getPropertyName()` Get value of attribute form:property-name.
`String` | `getStringValue()` Get value of attribute office:string-value.
`OdfDuration` | `getTimeValue()` Get value of attribute office:time-value.
`Double` | `getValue()` Get value of attribute office:value.
`OdfValueMaybeVoidType` | `getValueType()` Get value of attribute office:value-type.
`void` | `init(String propertyName, OdfValueMaybeVoidType valueType, Double value, OdfDate dateValue, OdfDuration timeValue, OdfBoolean booleanValue)` Initialization of the mandatory attributes of `OdfPropertyElement`
`void` | `setBooleanValue(OdfBoolean isBooleanValue)` Set value of attribute office:boolean-value.
`void` | `setCurrency(String currency)` Set value of attribute office:currency.
`void` | `setDateValue(OdfDate dateValue)` Set value of attribute office:date-value.
`void` | `setPropertyName(String propertyName)` Set value of attribute form:property-name.
`void` | `setStringValue(String stringValue)` Set value of attribute office:string-value.
`void` | `setTimeValue(OdfDuration timeValue)` Set value of attribute office:time-value.
`void` | `setValue(Double value)` Set value of attribute office:value.
`void` | `setValueType(OdfValueMaybeVoidType valueType)` Set value of attribute office:value-type.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfPropertyElement

    public OdfPropertyElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfPropertyElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element form:property.

### init

    public void init(String propertyName,
                     OdfValueMaybeVoidType valueType,
                     Double value,
                     OdfDate dateValue,
                     OdfDuration timeValue,
                     OdfBoolean booleanValue)

  Initialization of the mandatory attributes of `OdfPropertyElement`

  Parameters:
    `propertyName` - The mandatory attribute form:property-name"
    `valueType` - The mandatory attribute office:value-type"
    `value` - The mandatory attribute office:value"
    `dateValue` - The mandatory attribute office:date-value"
    `timeValue` - The mandatory attribute office:time-value"
    `booleanValue` - The mandatory attribute office:boolean-value"

### getPropertyName

    public String getPropertyName()

  Get value of attribute form:property-name.

  Returns:
    return the attribute which type is String

### setPropertyName

    public void setPropertyName(String propertyName)

  Set value of attribute form:property-name.

  Parameters:
    `propertyName` - the attribute's type is String

### getValueType

    public OdfValueMaybeVoidType getValueType()

  Get value of attribute office:value-type.

  Returns:
    return the attribute which type is OdfValueMaybeVoidType

### setValueType

    public void setValueType(OdfValueMaybeVoidType valueType)

  Set value of attribute office:value-type.

  Parameters:
    `valueType` - the attribute's type is OdfValueMaybeVoidType

### getValue

    public Double getValue()

  Get value of attribute office:value.

  Returns:
    return the attribute which type is Double

### setValue

    public void setValue(Double value)

  Set value of attribute office:value.

  Parameters:
    `value` - the attribute's type is Double

### getCurrency

    public String getCurrency()

  Get value of attribute office:currency.

  Returns:
    return the attribute which type is String

### setCurrency

    public void setCurrency(String currency)

  Set value of attribute office:currency.

  Parameters:
    `currency` - the attribute's type is String

### getDateValue

    public OdfDate getDateValue()

  Get value of attribute office:date-value.

  Returns:
    return the attribute which type is OdfDate

### setDateValue

    public void setDateValue(OdfDate dateValue)

  Set value of attribute office:date-value.

  Parameters:
    `dateValue` - the attribute's type is OdfDate

### getTimeValue

    public OdfDuration getTimeValue()

  Get value of attribute office:time-value.

  Returns:
    return the attribute which type is OdfDuration

### setTimeValue

    public void setTimeValue(OdfDuration timeValue)

  Set value of attribute office:time-value.

  Parameters:
    `timeValue` - the attribute's type is OdfDuration

### getBooleanValue

    public OdfBoolean getBooleanValue()

  Get value of attribute office:boolean-value.

  Returns:
    return the attribute which type is OdfBoolean

### setBooleanValue

    public void setBooleanValue(OdfBoolean isBooleanValue)

  Set value of attribute office:boolean-value.

  Parameters:
    `isBooleanValue` - the attribute's type is OdfBoolean

### getStringValue

    public String getStringValue()

  Get value of attribute office:string-value.

  Returns:
    return the attribute which type is String

### setStringValue

    public void setStringValue(String stringValue)

  Set value of attribute office:string-value.

  Parameters:
    `stringValue` - the attribute's type is String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.